package cn.superdesk.uniorder.dubbo.facade.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysRoleExtDataSamplePermission;
import cn.superdesk.uniorder.dto.dubbo.sys.role.SysRoleExtDataSamplePermissionParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 角色定义-扩展-数据权限许可(所谓的数据主体) 平铺
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-08-26 14:15:28
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-08-26 14:15:28
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysRoleExtDataSamplePermissionService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysRoleExtDataSamplePermissionParam param);

	@Deprecated
	void updateObj(SysRoleExtDataSamplePermissionParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysRoleExtDataSamplePermission findById(Long id);

	@Deprecated
	PageInfo<SysRoleExtDataSamplePermission> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysRoleExtDataSamplePermission> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysRoleExtDataSamplePermission(SysRoleExtDataSamplePermissionParam param);

	void updateSysRoleExtDataSamplePermission(SysRoleExtDataSamplePermissionParam param);

	void deleteSysRoleExtDataSamplePermission(Long id);

	SysRoleExtDataSamplePermission findSysRoleExtDataSamplePermissionById(Long id);

	R<List<SysRoleExtDataSamplePermission>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
